Status: Resolved Priority: Must have
Author: Christopher Hlubek Category: Core
Created: 2011-11-25 Assigned To: Christopher Hlubek
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Configurable base URI
Description

In certain situations and setups (FLOW3 behind loadbalancers, SSL offloading or using AiP) the base URI cannot be derived safely
from a request. The base URI used in various parts of the system has to be configurable by the settings.

Associated revisions
Revision 1cfb139a - 2011-12-07 10:12 - Christopher Hlubek

[FEATURE] Implement base URI setting

This change adds a configurable base URI to FLOW3. The environment will
use the setting instead of trying to guess the base URI from the current
request if it is configured.

Change-Id: Ie6779f1a88beae3dc6facee248e55dc50d29dea7
Resolves: #32084
Releases: 1.1

History
#1 - 2011-11-25 11:43 - Mr. Jenkins

Patch set 3 of change Ie6779f1a88beae3dc6facee248e55dc50d29dea7 has been pushed to the review server.
It is available at http://review.typo3.org/6148

#2 - 2011-12-07 10:16 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6148

#3 - 2011-12-07 10:37 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1cfb139a0dc840bfcfe78cb99966a45614fade67.
#4 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
